> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pair tap



## OpenAPI

````yaml /spec.json put /client/taps/pair/{id}
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/taps/pair/{id}:
    put:
      tags:
        - Tap pairing.
      summary: Pair tap
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The unique identifier for the tap
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tapResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: Tap not found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database access error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    tapResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        owner:
          type: string
          format: uuid
        device_group:
          type: string
          format: uuid
        last_connected:
          type: string
        last_disconnected:
          type: string
        build_id:
          type: string
        wifi_ssid:
          type: string
        type:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````